Get Vehicle Tires Readings Historic
curl --request GET \
--url https://api.volteras.com/v1/vehicles/{vehicle_id}/maintenance/tires/historic \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.volteras.com/v1/vehicles/{vehicle_id}/maintenance/tires/historic"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.volteras.com/v1/vehicles/{vehicle_id}/maintenance/tires/historic', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tires": []
}Vehicles
Get Vehicle Tires Readings Historic
Retrieves the list of tire pressures for the vehicle for the specified period (default is the last 3 months), grouped by hour.
Maximum date range is 3 months.
Returns:
- The list of tire pressures for the vehicle.
Possible Codes in Error Response (see Errors for error response schema and meaning of codes):
- AUTHENTICATION_ERROR
- REQUEST_VALIDATION_ERROR
- RESOURCE_NOT_FOUND
- SERVER_ERROR
GET
/
v1
/
vehicles
/
{vehicle_id}
/
maintenance
/
tires
/
historic
Get Vehicle Tires Readings Historic
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique internal identifier for the vehicle.
Query Parameters
Start datetime for the tire pressure history, in ISO format. Date range must be 3 months or less.
End datetime for the tire pressure history, in ISO format. Date range must be 3 months or less.
Response
200 - application/json
Successful Response
Show child attributes
Show child attributes

